OGRE-Next: Ogre::DefaultPlaneBoundedVolumeListSceneQuery Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::DefaultPlaneBoundedVolumeListSceneQuery Class Reference
Core | Component » Scene

Default implementation of PlaneBoundedVolumeListSceneQuery. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::DefaultPlaneBoundedVolumeListSceneQuery:
[legend]

## Public Member Functions
| DefaultPlaneBoundedVolumeListSceneQuery (SceneManager *creator)
| ~DefaultPlaneBoundedVolumeListSceneQuery () override
bool | execute (ObjectData objData, size_t numNodes, SceneQueryListener *listener)
void | execute (SceneQueryListener *listener) override
| See SceneQuery.
Public Member Functions inherited from Ogre::PlaneBoundedVolumeListSceneQuery
| PlaneBoundedVolumeListSceneQuery (SceneManager *mgr)
virtual | ~PlaneBoundedVolumeListSceneQuery ()
const PlaneBoundedVolumeList & | getVolumes () const
| Gets the volume which is being used for this query.
void | setVolumes (const PlaneBoundedVolumeList &volumes)
| Sets the volume which is to be used for this query.
Public Member Functions inherited from Ogre::RegionSceneQuery
| RegionSceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
| ~RegionSceneQuery () override
virtual void | clearResults ()
| Clears the results of the last query execution.
virtual SceneQueryResult & | execute ()
| Executes the query, returning the results back in one list.
virtual SceneQueryResult & | getLastResults () const
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
bool | queryResult (MovableObject *first) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (SceneQuery::WorldFragment *fragment) override
| Self-callback in order to deal with execute which returns collection.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask () const
| Returns the current mask for this query.
virtual const set< WorldFragmentType >::type * | getSupportedWorldFragmentTypes () const
| Returns the types of world fragments this query supports.
virtual WorldFragmentType | getWorldFragmentType () const
| Gets the current world fragment types to be returned from the query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setWorldFragmentType (enum WorldFragmentType wft)
| Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed.
Public Member Functions inherited from Ogre::SceneQueryListener
virtual | ~SceneQueryListener ()

## Additional Inherited Members
Public Types inherited from Ogre::SceneQuery
enum | WorldFragmentType { WFT_NONE , WFT_PLANE_BOUNDED_REGION , WFT_SINGLE_INTERSECTION , WFT_CUSTOM_GEOMETRY , WFT_RENDER_OPERATION }
| This type can be used by collaborating applications & SceneManagers to agree on the type of world geometry to be returned from queries. More...
Public Attributes inherited from Ogre::SceneQuery
uint8 | mFirstRq
uint8 | mLastRq

## Detailed Description

Default implementation of PlaneBoundedVolumeListSceneQuery.

## Constructor & Destructor Documentation

## ◆ DefaultPlaneBoundedVolumeListSceneQuery()

Ogre::DefaultPlaneBoundedVolumeListSceneQuery::DefaultPlaneBoundedVolumeListSceneQuery | ( | SceneManager * | creator | ) |

## ◆ ~DefaultPlaneBoundedVolumeListSceneQuery()

Ogre::DefaultPlaneBoundedVolumeListSceneQuery::~DefaultPlaneBoundedVolumeListSceneQuery | ( |  | ) |
| override

## Member Function Documentation

## ◆ execute() [1/2]

bool Ogre::DefaultPlaneBoundedVolumeListSceneQuery::execute | ( | ObjectData | objData,
|  | size_t | numNodes,
|  | SceneQueryListener * | listener )

References Ogre::RegionSceneQuery::execute().

## ◆ execute() [2/2]

void Ogre::DefaultPlaneBoundedVolumeListSceneQuery::execute | ( | SceneQueryListener * | listener | ) |
| overridevirtual

See SceneQuery.

Implements Ogre::RegionSceneQuery.

The documentation for this class was generated from the following file:

- OgreSceneManager.h